curl --request POST \
--url https://api.passlet.io/v1/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"qrPayload": "<string>",
"passId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scanContextKey": "<string>",
"validityDate": "<string>",
"scannedAt": "2023-11-07T05:31:56Z",
"deviceId": "<string>",
"externalRef": "<string>",
"context": {
"gate": "<string>",
"lane": "<string>",
"location": "<string>",
"sessionId": "<string>",
"note": "<string>"
}
}
'import requests
url = "https://api.passlet.io/v1/scans"
payload = {
"qrPayload": "<string>",
"passId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scanContextKey": "<string>",
"validityDate": "<string>",
"scannedAt": "2023-11-07T05:31:56Z",
"deviceId": "<string>",
"externalRef": "<string>",
"context": {
"gate": "<string>",
"lane": "<string>",
"location": "<string>",
"sessionId": "<string>",
"note": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
qrPayload: '<string>',
passId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scanContextKey: '<string>',
validityDate: '<string>',
scannedAt: '2023-11-07T05:31:56Z',
deviceId: '<string>',
externalRef: '<string>',
context: {
gate: '<string>',
lane: '<string>',
location: '<string>',
sessionId: '<string>',
note: '<string>'
}
})
};
fetch('https://api.passlet.io/v1/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"passId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redemptionSnapshot": {
"windows": [
{
"start": "<string>",
"end": "<string>",
"maxUses": 50000
}
],
"maxUses": 50000,
"perPeriod": {
"count": 50000,
"timezone": "<string>"
},
"minIntervalMinutes": 263520,
"activation": {
"basis": "<string>",
"validForHours": 43920
}
},
"scanContextKey": "<string>",
"scannedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"reversesScanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deviceId": "<string>",
"context": {},
"externalRef": "<string>",
"reason": "<string>",
"matchedCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z"
},
"pass": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPassId": "<string>",
"label": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"templateVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateName": "<string>",
"templateVersionNumber": 4503599627370495,
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedScanCount": 4503599627370495,
"lastAcceptedScanAt": "2023-11-07T05:31:56Z",
"scanContextKey": "<string>",
"contextAcceptedScanCount": 4503599627370495,
"contextLastAcceptedScanAt": "2023-11-07T05:31:56Z",
"photoUrl": "<string>",
"variables": {}
},
"message": "<string>",
"priorScanCount": 0,
"isFirstScan": false,
"idempotentReplay": false,
"candidates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPassId": "<string>",
"label": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"templateVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateName": "<string>",
"templateVersionNumber": 4503599627370495,
"expiresAt": "2023-11-07T05:31:56Z",
"acceptedScanCount": 4503599627370495,
"lastAcceptedScanAt": "2023-11-07T05:31:56Z",
"scanContextKey": "<string>",
"contextAcceptedScanCount": 4503599627370495,
"contextLastAcceptedScanAt": "2023-11-07T05:31:56Z",
"photoUrl": "<string>",
"variables": {}
}
]
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}Record a scan
Validates a pass and records the scan attempt. Identify the pass by qrPayload (the scanned QR content) or passId. The outcome is returned as result (accepted, duplicate, unknown, ambiguous, denied or reversal) plus a machine-readable reasonCode; non-accepted attempts are recorded and still return 200. An ambiguous result includes candidates[] so the operator can pick a pass and re-submit with passId. Use scanContextKey to scope duplicate detection to a context (e.g. one event day), and pass a unique externalRef to make retries idempotent (replays return idempotentReplay: true).
Requires the scans:write scope on the access token.
Authorizations
Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.
Body
1 - 2048Pass identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$1 - 128^\d{4}-\d{2}-\d{2}$ISO 8601 timestamp
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$1281 - 255Show child attributes
Show child attributes
Response
OK
accepted, duplicate, unknown, ambiguous, denied, reversal valid, stale_identifier, already_scanned, not_active, expired, revoked, wrong_scope, not_valid_context, out_of_window, quota_exhausted, cooldown, no_match, multiple_matches Show child attributes
Show child attributes
Show child attributes
Show child attributes
0 <= x <= 9007199254740991Show child attributes
Show child attributes